class CountryAvailable {
  String? countryName;
  String? iso;
  String? homesCountryPictureUrl;
  dynamic lat;
  dynamic lng;

  CountryAvailable({
    this.countryName,
    this.iso,
    this.homesCountryPictureUrl,
    this.lat,
    this.lng,
  });

  CountryAvailable.fromJson(Map<String, dynamic> json) {
    countryName = json["countryName"];
    iso = json["iso"];
    homesCountryPictureUrl = json["homesCountryPictureUrl"];
    lat = json["lat"];
    lng = json["lng"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["countryName"] = countryName;
    data["iso"] = iso;
    data["homesCountryPictureUrl"] = homesCountryPictureUrl;
    data["lat"] = lat;
    data["lng"] = lng;
    return data;
  }
}
