class BrPlaceFilterModel {
  String? id;
  String? name;
  int? is3Values;
  String? icon;
  String? display;
  double value = 0.0;

  BrPlaceFilterModel({this.id, this.name, this.is3Values, this.icon, this.display});

  BrPlaceFilterModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is String) id = json["id"];
    if (json["name"] is String) name = json["name"];
    if (json["value"] is int) value = (json["value"] as int).toDouble();
    if (json["is3Values"] is int) is3Values = json["is3Values"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["name"] = name;
    data["value"] = value;
    data["is3Values"] = is3Values;
    return data;
  }
}
