class BrPlaceMenu {
  String? id;
  String? menuTitle;
  String? pictureUrl;
  String? oobrPlaceName;

  BrPlaceMenu({this.id, this.menuTitle, this.pictureUrl, this.oobrPlaceName});

  BrPlaceMenu.fromJson(Map<String, dynamic> json) {
    if (json["id"] is String) id = json["id"];
    if (json["menuTitle"] is String) menuTitle = json["menuTitle"];
    if (json["pictureUrl"] is String) pictureUrl = json["pictureUrl"];
    if (json["oobrPlaceName"] is String) oobrPlaceName = json["oobrPlaceName"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["menuTitle"] = menuTitle;
    data["pictureUrl"] = pictureUrl;
    data["oobrPlaceName"] = oobrPlaceName;
    return data;
  }
}
