class BrPlaceScheduleModel {
  String? toDay;
  String? fromDay;
  int? timeStart;
  int? timeStop;

  BrPlaceScheduleModel({this.toDay, this.fromDay, this.timeStart, this.timeStop});

  BrPlaceScheduleModel.fromJson(Map<String, dynamic> json) {
    if (json["toDay"] is String) toDay = json["toDay"];
    if (json["fromDay"] is String) fromDay = json["fromDay"];
    if (json["timeStart"] is int) timeStart = json["timeStart"];
    if (json["timeStop"] is int) timeStop = json["timeStop"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["toDay"] = toDay;
    data["fromDay"] = fromDay;
    data["timeStart"] = timeStart;
    data["timeStop"] = timeStop;
    return data;
  }
}
