class FaqGroup {
  int? groupId;
  String? label;

  FaqGroup({this.groupId, this.label});

  FaqGroup.fromJson(Map<String, dynamic> json) {
    if (json["groupId"] is int) {
      groupId = json["groupId"];
    }
    if (json["label"] is String) {
      label = json["label"];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["groupId"] = groupId;
    data["label"] = label;
    return data;
  }
}
