class GenderModel {
  late String name;
  late int id;
  late dynamic icon;
  bool select = false;

  GenderModel(
      {required this.id,
      required this.name,
      required this.icon,
      this.select = false});

  GenderModel.fromJson(Map<String, dynamic> json) {
    name = json['name'];
    id = json['id'];
    icon = json['icon'];
  }

  GenderModel.empty() {
    id = 0;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['name'] = name;
    data['id'] = id;
    data['icon'] = icon;
    return data;
  }
}
