class History {
  int? id;
  String? publicName;
  int? proIdOwner;
  int? createdAt;
  String? beerName;
  int? quantity;
  double? amount;
  String? currency;

  History(
      {this.id,
      this.publicName,
      this.proIdOwner,
      this.createdAt,
      this.beerName,
      this.quantity,
      this.amount,
      this.currency});

  History.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) id = json["id"];
    if (json["publicName"] is String) publicName = json["publicName"];
    if (json["proIdOwner"] is int) proIdOwner = json["proIdOwner"];
    if (json["createdAt"] is int) createdAt = json["createdAt"];
    if (json["beerName"] is String) beerName = json["beerName"];
    if (json["quantity"] is int) quantity = json["quantity"];
    if (json["amount"] is double) amount = json["amount"];
    if (json["currency"] is String) currency = json["currency"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["publicName"] = publicName;
    data["proIdOwner"] = proIdOwner;
    data["createdAt"] = createdAt;
    data["beerName"] = beerName;
    data["quantity"] = quantity;
    data["amount"] = amount;
    data["currency"] = currency;
    return data;
  }
}
