class PlatformModel {
  int? id;
  dynamic logoUrl;
  String? label;
  int? display;
  int? doubleAuthActivated;

  PlatformModel({
    this.id,
    this.logoUrl,
    this.label,
    this.display,
    this.doubleAuthActivated,
  });

  PlatformModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) id = json["id"];
    logoUrl = json["logoUrl"];
    if (json["label"] is String) label = json["label"];
    if (json["display"] is int) display = json["display"];
    if (json["doubleAuthActivated"] is int) {
      doubleAuthActivated = json["doubleAuthActivated"];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["logoUrl"] = logoUrl;
    data["label"] = label;
    data["display"] = display;
    data["doubleAuthActivated"] = doubleAuthActivated;
    return data;
  }
}
