class ProductCategory {
  int? id;
  String? productCat;
  String? color;
  int? display;
  String? label;

  ProductCategory(
      {this.id, this.productCat, this.color, this.display, this.label});

  ProductCategory.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    productCat = json["productCat"];
    color = json["color"];
    display = json["display"];
    label = json["label"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["productCat"] = productCat;
    data["color"] = color;
    data["display"] = display;
    data["label"] = label;
    return data;
  }

  ProductCategory copyWith({
    int? id,
    String? productCat,
    String? color,
    int? display,
    String? label,
  }) =>
      ProductCategory(
        id: id ?? this.id,
        productCat: productCat ?? this.productCat,
        color: color ?? this.color,
        display: display ?? this.display,
        label: label ?? this.label,
      );
}
