class TheMovieCollection {
  int? id;
  int? userId;
  int? proId;
  int? isPublic;
  String? label;
  String? thumbnailUrl;

  TheMovieCollection(
      {this.id,
      this.userId,
      this.proId,
      this.isPublic,
      this.label,
      this.thumbnailUrl});

  TheMovieCollection.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    userId = json["userId"];
    proId = json["proId"];
    isPublic = json["isPublic"];
    label = json["label"];
    thumbnailUrl = json["thumbnailUrl"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["userId"] = userId;
    data["proId"] = proId;
    data["isPublic"] = isPublic;
    data["label"] = label;
    data["thumbnailUrl"] = thumbnailUrl;
    return data;
  }

  TheMovieCollection copyWith({
    int? id,
    int? userId,
    int? proId,
    int? isPublic,
    String? label,
    String? thumbnailUrl,
  }) =>
      TheMovieCollection(
        id: id ?? this.id,
        userId: userId ?? this.userId,
        proId: proId ?? this.proId,
        isPublic: isPublic ?? this.isPublic,
        label: label ?? this.label,
        thumbnailUrl: thumbnailUrl ?? this.thumbnailUrl,
      );
}
