class UserLatLng { 
  double? lat;
  double? lng;

  UserLatLng(
      {this.lat,
      this.lng});

  UserLatLng.fromJson(Map<String, dynamic> json) {
    if (json["lat"] is double) lat = json["lat"]; 
    if (json["lng"] is double) lng = json["lng"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["lat"] = lat;
    data["lng"] = lng; 
    return data;
  }
}
