class CheckEmailResult {
  static String newEmail = "newEmail";
  static String existingEmail = "existingEmail";

  String? message;
  int? isPro;
  String? username;
  String? thumbnail;
  String? displayName;

  CheckEmailResult({
    this.message,
    this.isPro,
    this.username,
    this.thumbnail,
    this.displayName,
  });

  CheckEmailResult.fromJson(Map<String, dynamic> json) {
    message = json["message"];
    isPro = json["isPro"];
    username = json["username"];
    thumbnail = json["thumbnail"];
    displayName = json["displayName"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["message"] = message;
    _data["isPro"] = isPro;
    _data["username"] = username;
    _data["thumbnail"] = thumbnail;
    _data["displayName"] = displayName;
    return _data;
  }
}
