class BankAccountModel {
  int? accountType;
  String? bankName;
  String? currency;
  String? swiftCode;
  String? bicCode;
  String? bankAddress;
  String? cryptoWalletaddress;
  int? id;
  String? fullName;
  String? accountNumber;

  BankAccountModel({
    this.accountType,
    this.bankName,
    this.currency,
    this.swiftCode,
    this.bicCode,
    this.bankAddress,
    this.cryptoWalletaddress,
    this.id,
    this.accountNumber,
    this.fullName,
  });

  BankAccountModel.fromJson(Map<String, dynamic> json) {
    if (json["accountType"] is int) accountType = json["accountType"];
    if (json["bankName"] is String) bankName = json["bankName"];
    if (json["currency"] is String) currency = json["currency"];
    if (json["swiftCode"] is String) swiftCode = json["swiftCode"];
    if (json["bicCode"] is String) bicCode = json["bicCode"];
    if (json["bankAddress"] is String) bankAddress = json["bankAddress"];
    if (json["cryptoWalletaddress"] is String) {
      cryptoWalletaddress = json["cryptoWalletaddress"];
    }
    if (json["id"] is int) id = json["id"];
    if (json["fullName"] is String) fullName = json["fullName"];
    if (json["accountNumber"] is String) {
      accountNumber = json["accountNumber"];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["accountType"] = accountType;
    data["bankName"] = bankName;
    data["currency"] = currency;
    data["swiftCode"] = swiftCode;
    data["bicCode"] = bicCode;
    data["bankAddress"] = bankAddress;
    data["cryptoWalletaddress"] = cryptoWalletaddress;
    data["id"] = id;
    data["fullName"] = fullName;
    data["accountNumber"] = accountNumber;
    return data;
  }
}
