class IndustryModel {
  int? id;
  String? industryName;
  String? defaultAvatarPictureUrl;

  IndustryModel({this.id, this.industryName, this.defaultAvatarPictureUrl});

  IndustryModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) id = json["id"];
    if (json["industryName"] is String) {
      industryName = json["industryName"];
    }
    if (json["defaultAvatarPictureUrl"] is String) {
      defaultAvatarPictureUrl = json["defaultAvatarPictureUrl"];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["industryName"] = industryName;
    data["defaultAvatarPictureUrl"] = defaultAvatarPictureUrl;
    return data;
  }
}
