import 'pmb_device.dart';

class ScanQr {
  String? id;
  String? label;
  List<Beers>? beers;

  ScanQr({this.id, this.label, this.beers});

  ScanQr.fromJson(Map<String, dynamic> json) {
    if (json["id"] is String) id = json["id"];
    if (json["label"] is String) label = json["label"];
    if (json["beers"] is List) {
      beers = json["beers"] == null
          ? null
          : (json["beers"] as List).map((e) => Beers.fromJson(e)).toList();
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = id;
    data["label"] = label;
    if (beers != null) data["beers"] = beers?.map((e) => e.toJson()).toList();
    return data;
  }
}
 